# Poco::Zip

# class AutoDetectIOS

Library: Zip
Package: Zip
Header: Poco/Zip/AutoDetectStream.h

## Description

The base class for AutoDetectInputStream and AutoDetectOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: AutoDetectInputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### AutoDetectIOS

AutoDetectIOS(
std::istream & istr,
const std::string & prefix,
const std::string & postfix,
bool reposition,
Poco::UInt32 start,
bool needsZip64
);

Creates the basic stream and connects it to the given input stream.

## Destructor

### ~AutoDetectIOS

~AutoDetectIOS();

Destroys the stream.

## Member Functions

### rdbuf

AutoDetectStreamBuf * rdbuf();

Returns a pointer to the underlying streambuf.

## Variables

### _buf

AutoDetectStreamBuf _buf;